Module jdk.compiler
Package com.sun.source.tree

## Interface ModuleTree

All Superinterfaces:
  Tree

    public interface ModuleTree
    extends Tree

A tree node for a module declaration. For example:

        module module-name {
            directives
        }

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends DirectiveTree>` `getDirectives()` Returns the directives in the module declaration.
`ExpressionTree` `getName()` Returns the name of the module.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getName

    ExpressionTree getName()

Returns the name of the module.

Returns:
  the name of the module

#### getDirectives

    List<? extends DirectiveTree> getDirectives()

Returns the directives in the module declaration.

Returns:
  the directives in the module declaration